Liblinphone: linphone::SignalInformation Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::SignalInformation Class Reference

Object to get signal (wifi/4G etc...) informations. More...

`#include <signal_information.hh>`

Inheritance diagram for linphone::SignalInformation:

## Public Member Functions
LINPHONECXX_PUBLIC | SignalInformation (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneSignalInformation * | cPtr ()
LINPHONECXX_PUBLIC linphone::SignalType | getSignalType ()
| Get the SignalType of the SignalInformation.
LINPHONECXX_PUBLIC void | setSignalType (linphone::SignalType type)
| Set a new SignalType to a SignalInformation.
LINPHONECXX_PUBLIC linphone::SignalStrengthUnit | getSignalUnit ()
| Get the SignalStrengthUnit value of the SignalInformation.
LINPHONECXX_PUBLIC void | setSignalUnit (linphone::SignalStrengthUnit unit)
| Set a new SignalStrengthUnit to a SignalInformation.
LINPHONECXX_PUBLIC float | getStrength ()
| Get the value of the SignalInformation.
LINPHONECXX_PUBLIC void | setValue (float value)
| Set a new value to a SignalInformation.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::SignalInformation > | clone () const
| Clone the given signalInformation.

## Detailed Description

Object to get signal (wifi/4G etc...) informations.

## Member Function Documentation

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::SignalInformation > linphone::SignalInformation::clone | ( |  | ) | const

Clone the given signalInformation.

Returns
  A new signalInformation with exactly same informations that param.

## ◆ getSignalType()

LINPHONECXX_PUBLIC linphone::SignalType linphone::SignalInformation::getSignalType | ( |  | ) |

Get the SignalType of the SignalInformation.

Returns
  A SignalType.

## ◆ getSignalUnit()

LINPHONECXX_PUBLIC linphone::SignalStrengthUnit linphone::SignalInformation::getSignalUnit | ( |  | ) |

Get the SignalStrengthUnit value of the SignalInformation.

Returns
  A SignalStrengthUnit.

## ◆ getStrength()

LINPHONECXX_PUBLIC float linphone::SignalInformation::getStrength | ( |  | ) |

Get the value of the SignalInformation.

Returns
  A float containing the value.

## ◆ setSignalType()

LINPHONECXX_PUBLIC void linphone::SignalInformation::setSignalType | ( | linphone::SignalType | type | ) |

Set a new SignalType to a SignalInformation.

Parameters

  type | The new SignalType to set.

## ◆ setSignalUnit()

LINPHONECXX_PUBLIC void linphone::SignalInformation::setSignalUnit | ( | linphone::SignalStrengthUnit | unit | ) |

Set a new SignalStrengthUnit to a SignalInformation.

Parameters

  unit | The new SignalStrengthUnit to set.

## ◆ setValue()

LINPHONECXX_PUBLIC void linphone::SignalInformation::setValue | ( | float | value | ) |

Set a new value to a SignalInformation.

Parameters

  value | a float containing the new value to set.

The documentation for this class was generated from the following file:

- signal_information.hh